<div class="pen-title">
  <h1 class="text-white"><b><strong>Iniciar Sesión 724</strong></b>  </h1><span> <i class='fa fa-code'></i> by <a href='http://proveedor.com/'>Entidad</a></span>
</div>
<div class="rerun"><a (click)="volver()" >Home</a></div>
<div class="container">
  <div class="card"></div>
  <div class="card">
    <h1 class="title">Login</h1>
    <form novalidate [formGroup]="form" >
      <div class="input-container">
        <input type="#{type}" id="#{label}" required="required" formControlName="usuario" />
        <label for="#{label}">Username</label>
        <div class="bar"></div>
        <div *ngIf="form.controls.usuario.errors && form.controls.usuario.touched">
            <div *ngIf="form.controls.usuario.errors.required" class="alert alert-danger">
                El Campo es requerido!
            </div>
            <div *ngIf="form.controls.usuario.errors.minlength" class="alert alert-danger">
                El Campo debe ser mayor a 3 caracteres!
            </div>
            <div *ngIf="form.controls.usuario.errors.maxlength" class="alert alert-danger">
                El Campo debe ser menor a 50 caracteres!
            </div>
            <div *ngIf="form.controls.usuario.errors.pattern" class="alert alert-danger">
                El Campo debe iniciar con almenos una letra
            </div>
        </div>
      </div>
      <div class="input-container">
        <input type="password" id="#{label}" required="required" formControlName="clave"/>
        <label for="#{label}">Password</label>
        <div class="bar"></div>
        <div *ngIf="form.controls.clave.errors && form.controls.clave.touched">
            <div *ngIf="form.controls.clave.errors.required" class="alert alert-danger">
                El Campo es requerido!
            </div>
            <div *ngIf="form.controls.clave.errors.minlength" class="alert alert-danger">
                El Campo debe ser mayor a 3 caracteres!
            </div>
            <div *ngIf="form.controls.clave.errors.maxlength" class="alert alert-danger">
                El Campo debe ser menor a 100 caracteres!
            </div>
            <div *ngIf="form.controls.clave.errors.pattern" class="alert alert-danger">
                El Campo debe iniciar con almenos una letra
            </div>
        </div>
      </div>
      <div class="button-container">
        <button md-raised-button (click)="login()" class="tky-background" [disabled]="!form.valid"><span>Go</span></button>
      </div>
      <div class="footer"><a href="#">Forgot your password?</a></div>
    </form>
  </div>
  <div class="card alt">
    <div class="toggle" (click)="goReg()"></div>
  </div>
</div>
